Loading...
Searching...
No Matches
pcl::gpu::MarchingCubes Class Reference

MarchingCubes implements MarchingCubes functionality for TSDF volume on GPU. More...

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/kinfu/include/pcl/gpu/kinfu/marching_cubes.h>`

## Public Types

enum | { POINTS_PER_TRIANGLE = 3 , DEFAULT_TRIANGLES_BUFFER_SIZE = 2 * 1000 * 1000 * POINTS_PER_TRIANGLE }
| Default size for triangles buffer. More...
using | PointType = pcl::PointXYZ
| Point type.
using | Ptr = shared_ptr< MarchingCubes >
| Smart pointer.
using | ConstPtr = shared_ptr< const MarchingCubes >

## Public Member Functions

| MarchingCubes ()
| Default constructor.
DeviceArray< PointType > | run (const TsdfVolume &tsdf, DeviceArray< PointType > &triangles_buffer)
| Runs marching cubes triangulation.

## Detailed Description

MarchingCubes implements MarchingCubes functionality for TSDF volume on GPU.

Author
  Anatoly Baskeheev, Itseez Ltd, (mynam.nosp@m.e.my.nosp@m.surna.nosp@m.me@m.nosp@m.ycomp.nosp@m.any..nosp@m.com)

Definition at line 54 of file marching_cubes.h.

## Member Typedef Documentation

## ConstPtr

using pcl::gpu::MarchingCubes::ConstPtr = shared_ptr<const MarchingCubes>

Definition at line 70 of file marching_cubes.h.

## PointType

using pcl::gpu::MarchingCubes::PointType = pcl::PointXYZ

Point type.

Definition at line 66 of file marching_cubes.h.

## Ptr

using pcl::gpu::MarchingCubes::Ptr = shared_ptr<MarchingCubes>

Smart pointer.

Definition at line 69 of file marching_cubes.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Default size for triangles buffer.

Enumerator
POINTS_PER_TRIANGLE |
DEFAULT_TRIANGLES_BUFFER_SIZE |

Definition at line 59 of file marching_cubes.h.

## Constructor & Destructor Documentation

## MarchingCubes()

pcl::gpu::MarchingCubes::MarchingCubes | ( |  | ) |

Default constructor.

## Member Function Documentation

## run()

DeviceArray< PointType > pcl::gpu::MarchingCubes::run | ( | const TsdfVolume & | tsdf,
|  | DeviceArray< PointType > & | triangles_buffer
| ) |  |

Runs marching cubes triangulation.

Parameters

  [in] | tsdf |
  [in] | triangles_buffer | Buffer for triangles. Its size determines max extracted triangles. If empty, it will be allocated with default size to be used.

Returns
  Array with triangles. Each 3 consequent points belong to a single triangle. The returned array points to 'triangles_buffer' data.

The documentation for this class was generated from the following file:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/kinfu/include/pcl/gpu/kinfu/marching_cubes.h